BEGIN {
	IGNORECASE = 1;
	found = 0;
	uuid = "unknown";
	container = "unknown";
	domain = "mgmt.ad.private";
	container_rdn = "unknown";
};
/^GPO.*linked to DN/ {
	container = gensub("^GPO.*linked[[:space:]]*to[[:space:]]*DN[[:space:]]*", "", "g");
	suffix = ",DC=" gensub("[.]", ",DC=", "g", domain);
	container_rdn = gensub(suffix, "", "g", container);
};
/^[[:space:]]*GPO[[:space:]]*:/ {
	found =  1;
	uuid = gensub("^[[:space:]]*GPO[[:space:]]*:[[:space:]]*", "", "g");
};
/^[[:space:]]*Name[[:space:]]*:/ {
	if (found ==  1) {
		name[uuid] = gensub("^[[:space:]]*Name[[:space:]]*:[[:space:]]*", "", "g");
	};
};
/^[[:space:]]*Options[[:space:]]*:/ {
	if (found ==  1) {
		print container_rdn ":" name[uuid] ":" uuid ":" gensub("^[[:space:]]*Options[[:space:]]*:[[:space:]]*", "", "g");
		found = 0;
	};
};
